package danielcortes.xyz.controllers.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JComponent;

public class MoveToAction extends AbstractAction {

  private JComponent next;

  public MoveToAction(JComponent next) {
    this.next = next;
  }

  @Override
  public void actionPerformed(ActionEvent e) {
    this.next.requestFocus();
  }
}
